package com.bankaudit.dto;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.bankaudit.model.MaintEntityAuditSubgroupMappingWrk;


public class MaintEntityAuditSubGroupMappingDto {
	
	List<MaintEntityAuditSubgroupMappingWrk> maintEntityAuditSubgroupMappingWrks;
	Integer legalEntityCode;
	String auditTypeCode;
	String mappingType;
	String entityOrUser;
	String entityOrUserName;
	String maker;
	String entityStaus;
	String status;
	String authRejectRemarks;
	Date makerTimestamp;
	String checker;
	Date checkerTimestamp;
	Date businessdateTimestamp;
	Date sysdateTimestamp;
	String authUniqueId;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public List<MaintEntityAuditSubgroupMappingWrk> getMaintEntityAuditSubgroupMappingWrks() {
		return maintEntityAuditSubgroupMappingWrks;
	}
	public void setMaintEntityAuditSubgroupMappingWrks(
			List<MaintEntityAuditSubgroupMappingWrk> maintEntityAuditSubgroupMappingWrks) {
		this.maintEntityAuditSubgroupMappingWrks = maintEntityAuditSubgroupMappingWrks;
	}
	public String getMappingType() {
		return mappingType;
	}
	public void setMappingType(String mappingType) {
		this.mappingType = mappingType;
	}
	
	public String getEntityOrUser() {
		return entityOrUser;
	}
	public void setEntityOrUser(String entityOrUser) {
		this.entityOrUser = entityOrUser;
	}
	public String getEntityOrUserName() {
		return entityOrUserName;
	}
	public void setEntityOrUserName(String entityOrUserName) {
		this.entityOrUserName = entityOrUserName;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public String getEntityStaus() {
		return entityStaus;
	}
	public void setEntityStaus(String entityStaus) {
		this.entityStaus = entityStaus;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getAuthRejectRemarks() {
		return authRejectRemarks;
	}
	public void setAuthRejectRemarks(String authRejectRemarks) {
		this.authRejectRemarks = authRejectRemarks;
	}
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
	public String getChecker() {
		return checker;
	}
	public void setChecker(String checker) {
		this.checker = checker;
	}
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	public String getAuthUniqueId() {
		return authUniqueId;
	}
	public void setAuthUniqueId(String authUniqueId) {
		this.authUniqueId = authUniqueId;
	}
	

}
